using GadgetCore.API;
using GadgetCore.API.ConfigMenu;
using ScrapYard.API;

namespace PlatformBlock
{
  [Gadget("PlatformBlock", LoadAfter: new string[] { "ScrapYard" }, Dependencies: new string[] { "ScrapYard" })]
  public class PlatformBlock : Gadget<PlatformBlock>
  {
    public const string MOD_VERSION = "1.2"; // Set this to the version of your mod.
    public const string CONFIG_VERSION = "1.0"; // Increment this whenever you change your mod's config file.

    public override IGadgetConfigMenu GetConfigMenu() { return null; }

    public override string GetModDescription()
    {
      return "A mod that adds a platform block for your ship.";
    }

    protected override void Initialize()
    {
      Logger.Log("Platform Block v" + Info.Mod.Version);
      Core.logger = Logger;

      Core.itemPlatformId = ItemUtil.CreatePlacablePlatformItem("cPlatform.png", "iPlatform.png", "Platform Block");

      ShopPlatform.DefaultBlocks.AddShopPlatformEntry(new ShopPlatformEntry(Core.itemPlatformId, 300));
    }
  }
}
